#!/bin/bash

DIR_VF="$(realpath `dirname $0`)"
FIMETVCROSSER="$DIR_VF/fiMetVcrosser.pl"
VERIF_POSITIONS="$DIR_VF/verif_positions.txt"

NCFILE="$1" ; shift

if test ! -f "$VERIF_POSITIONS" ; then
    exit 0
fi

case "$NCFILE" in
    *.nc)    VFFILE="${NCFILE/.nc/_vf.nc}" ;;
    *.grbml) VFFILE="${NCFILE/.grbml/_vf.nc}" ;;
    *) exit 1 ;;
esac

if [ -f "$VFFILE" ]; then
    echo "$VFFILE exists, not creating new one"
else
    echo "creating $VFFILE"
    "$FIMETVCROSSER" \
        "$VERIF_POSITIONS" \
{% for var in fimex_verif_variables %}
        --extract.selectVariables {{ var | quote }} \
{% endfor %}
        --input.file="$NCFILE" \
        --interpolate.method=bilinear \
        --output.file="$VFFILE" \
        --output.type=nc4 \
        "$@"
fi
